diff --git a/changelog b/changelog
index 598e64e..865a39d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,7 @@
+20090414 tpd src/axiom-website/patches.html 20090414.01.tpd.patch
+20090414 tpd src/scripts/Makefile fix 7192, add SPADEDIT for )edit
+20090413 tpd src/axiom-website/patches.html 20090413.04.tpd.patch
+20090413 tpd src/axiom-website/download.html add slackware
 20090413 tpd src/axiom-website/patches.html 20090413.03.tpd.patch
 20090413 tpd books/bookvol5 fix 7191, set *system-directory* dynamically
 20090413 tpd src/axiom-website/patches.html 20090413.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index adbaaff..232874d 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1074,5 +1074,7 @@ bookvol15 add more interpreter code<br/>
 bookvol5 fix 7191, set *system-directory* dynamically<br/>
 <a href="patches/20090413.04.tpd.patch">20090413.04.tpd.patch</a>
 download.html add slackware to downloads<br/>
+<a href="patches/20090414.01.tpd.patch">20090414.01.tpd.patch</a>
+src/scripts/Makefile fix 7192, add SPADEDIT for )edit<br/>
  </body>
 </html>
diff --git a/src/scripts/Makefile.pamphlet b/src/scripts/Makefile.pamphlet
index 53ee617..3dca6f1 100644
--- a/src/scripts/Makefile.pamphlet
+++ b/src/scripts/Makefile.pamphlet
@@ -15,14 +15,21 @@ exist in the bin subdirectory. We depend on the ``document''
 script to exist and prevent duplicate copying.
 <<*>>=
 OUT=${MNT}/${SYS}/bin
+OUT1=${MNT}/${SYS}/lib
 
-all: ${OUT}/document
+all: ${OUT}/document ${OUT1}/SPADEDIT
 
 ${OUT}/document:
 	@echo 1 making ${SRC}/scripts
 	@cp -pr * ${OUT}
 	@mkdir -p ${OUT}/tex
 	@rm -f ${OUT}/Makefile*
+	@rm -f ${OUT}/SPADEDIT
+
+${OUT1}/SPADEDIT:
+	@echo 2 making ${OUT1}/SPADEDIT from ${SRC}/scripts/SPADEDIT
+	@mkdir -p ${OUT1}
+	@cp ${SRC}/scripts/SPADEDIT ${OUT1}/SPADEDIT
 
 clean:
 	@echo 2 cleaning ${SRC}/scripts
